Bug 582234 - Review Request: python-eventlet - Highly concurrent networking library
Summary: Review Request: python-eventlet - Highly concurrent networking library
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 580964
TreeView+ depends on / blocked
 
Reported: 2010-04-14 13:11 UTC by Lev Shamardin
Modified: 2010-05-25 18:43 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-05-06 00:51:39 UTC
kevin: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Lev Shamardin 2010-04-14 13:11:23 UTC
Spec URL: http://abbot.fedorapeople.org/python-eventlet.spec
SRPM URL: http://abbot.fedorapeople.org/python-eventlet-0.9.7-1.fc12.src.rpm
Description:

This package contains eventlet python module packaged for Fedora. It requires greenlet module (review request here: https://bugzilla.redhat.com/show_bug.cgi?id=580964)

Eventlet is a networking library written in Python. It achieves high
scalability by using non-blocking io while at the same time retaining
high programmer usability by using coroutines to make the non-blocking
io operations appear blocking at the source code level.

Have checked that it builds in mock and koji, rpmlint complaints only on spelling.

Comment 1 Thomas Spura 2010-04-14 18:55:58 UTC
Just a few quick comments:
- Why the %{?fedora} > 11?
  python-sphinx is  also in F-11, don't you want to import your other package 'python-greenlet' in F-11?
  (Don't see another reason atm)

- It would be better to BR: python2-devel and not python-devel.

Comment 2 Lev Shamardin 2010-04-14 19:37:33 UTC
%{?fedora} > 11 is here because this package is also intended to be in EPEL, and python-sphinx version from EPEL is too old to build documentation for this package. I have checked that the first Fedora release to have required python-sphinx version is Fedora 9, so I've changed this to %{?fedora} > 8, I think this should be rather sane.

Updated SPEC: http://abbot.fedorapeople.org/python-eventlet.spec
Updated SRPM: http://abbot.fedorapeople.org/python-eventlet-0.9.7-1.fc12.src.rpm

Comment 3 Kevin Fenzi 2010-04-15 17:37:16 UTC
Hey Lev. I was working on my own packages for greenlet/eventlet, so I would be happy to review these for you. ;) 

Look for a full review later today.

Comment 4 Kevin Fenzi 2010-04-16 19:36:54 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (MIT)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
459dcaf02912eeaf226dc6c302374bb3  eventlet-0.9.7.tar.gz
459dcaf02912eeaf226dc6c302374bb3  eventlet-0.9.7.tar.gz.orig
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have sane scriptlets. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. rpmlint says: 

python-eventlet.noarch: W: spelling-error %description -l en_US scalability -> availability, sociability, inviolability
python-eventlet.noarch: W: spelling-error %description -l en_US io -> oi, Io, ii
python-eventlet.noarch: W: spelling-error %description -l en_US coroutines -> co routines, co-routines, subroutines
python-eventlet.src: W: spelling-error %description -l en_US scalability -> availability, sociability, inviolability
python-eventlet.src: W: spelling-error %description -l en_US io -> oi, Io, ii
python-eventlet.src: W: spelling-error %description -l en_US coroutines -> co routines, co-routines, subroutines
3 packages and 0 specfiles checked; 0 errors, 6 warnings.

All can be ignored. 

I don't see any blockers here, so this package is APPROVED. 

As with greenlets, I'd be happy to co-maintain. My FAS name is 'kevin'.

Comment 5 Lev Shamardin 2010-04-19 06:40:57 UTC
New Package CVS Request
=======================
Package Name: python-eventlet
Short Description: Highly concurrent networking library
Owners: abbot
Branches: F-11 F-12 F-13 EL-5
InitialCC:

Comment 6 Thomas Spura 2010-04-19 06:50:49 UTC
(In reply to comment #5)
> New Package CVS Request
> =======================
> Package Name: python-eventlet
> Short Description: Highly concurrent networking library
> Owners: abbot
> Branches: F-11 F-12 F-13 EL-5
> InitialCC:    

Don't you want to write:

Owners: abbot kevin this time?
This way keven does not need to apply for co-maintainership.

Comment 7 Lev Shamardin 2010-04-19 06:55:31 UTC
New Package CVS Request
=======================
Package Name: python-eventlet
Short Description: Highly concurrent networking library
Owners: abbot kevin
Branches: F-11 F-12 F-13 EL-5
InitialCC:

Comment 8 Kevin Fenzi 2010-04-21 04:07:09 UTC
CVS done (by process-cvs-requests.py).

Comment 9 Fedora Update System 2010-04-21 19:44:45 UTC
python-eventlet-0.9.7-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-eventlet-0.9.7-1.el5

Comment 10 Fedora Update System 2010-04-26 23:24:58 UTC
python-eventlet-0.9.7-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-eventlet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-eventlet-0.9.7-1.el5

Comment 11 Fedora Update System 2010-05-06 00:51:34 UTC
python-eventlet-0.9.7-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-05-06 08:36:18 UTC
python-eventlet-0.9.7-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-eventlet-0.9.7-1.fc13

Comment 13 Fedora Update System 2010-05-06 08:37:06 UTC
python-eventlet-0.9.7-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-eventlet-0.9.7-1.fc12

Comment 14 Fedora Update System 2010-05-06 08:37:19 UTC
python-eventlet-0.9.7-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-eventlet-0.9.7-1.fc11

Comment 15 Fedora Update System 2010-05-25 18:34:34 UTC
python-eventlet-0.9.7-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-05-25 18:38:27 UTC
python-eventlet-0.9.7-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-05-25 18:43:43 UTC
python-eventlet-0.9.7-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.